<?php

namespace themes\light;
use core\{application\Application, theme\Theme, utility\Utility, route\Route, translation\Translation as T};

class Light {
	function show() {
		$theme = new Theme;

		$buffer = Utility::get_buffer();
		$body = $buffer['all'];

		$title = Application::get_title();
		$title_page = $title;
		$name = Application::get_name();

		$title = $title ? $title.' - '.$name : $name;
		$language = T::get_language();

		$path_uri = Route::get_path(__DIR__);

		$home_route = Route::render_route('');
		$logo = Route::render_route($path_uri.'/files/images/logo.png');
		$slogan = T::get('Премиум технологии');
		$email_write = T::get('Напишите письмо');
		$copyright = date('Y');

		Utility::add_library('others/fonts/opensans/style.css', -1);
		Utility::add_library('core/theme/css/base.css');
		Utility::add_library('core/theme/css/theme.css');
		Utility::add_library($path_uri.'/css/custom.css');
		Utility::add_library('others/libraries/jquery/jquery.js', -1);

		$meta = Utility::parse_buffer('metatags') ?: '';
		$admin_panel = Utility::parse_buffer('admin') ?: '';
		$regions = Utility::parse_buffer('container');

		$theme_data = $theme->get_theme();
		$regions_theme = unserialize($theme_data->regions);
		foreach ($regions_theme as $key => $value) {
			$regions[$value] = $regions[$value] ?? '';
		}

		$status = $theme->get_messages();
		extract($theme->get_libraries());

		$body_width = $regions['body_width'] ?? 'hight';
		$data = compact('name', 'home_route', 'logo', 'slogan', 'email_write', 'status', 'regions', 'title_page', 'body', 'body_width', 'copyright', 'admin_panel');
		$body = (new Theme)->get_template(__DIR__, 'body', $data);
		
		$favicon_route = Route::render_route('favicon.ico');

		$data = compact('language', 'meta', 'title', 'css', 'body', 'js', 'favicon_route');
		$result = (new Theme)->get_template(EQSASH_ROOT.'/core/theme', 'html', $data);

		return $result;
	}
}
